Bug 52014 - IDE Cdrom not found after install
Summary: IDE Cdrom not found after install
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-18 19:31 UTC by Stephen John Smoogen
Modified: 2007-04-18 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 17:47:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen John Smoogen 2001-08-18 19:31:37 UTC
Description of Problem:

Tried to install new RPMS after doing a fresh install of RC1. 
mount complained that /dev/cdrom was not a valid block device.
I checked to see if /dev/cdrom was correctly linked to /dev/hdd and that
the kernel saw /dev/hdd as a CDrom. (Both checked out fine)

Dmesg claimed that ide-fd.o was being loaded and when I check lsmod no
cdrom or ide-cd.o module was loaded.

Hand insmoding the modules allowed for the kernel to successfully mount the
cdrom.

Rebooted machine and problem re-occured. Need fix to add to
/etc/modules.conf before I can 'deploy' RC1 on wifes computer and other
test boxes.

Comment 1 Bill Nottingham 2001-08-20 19:22:28 UTC
msw, do we have to start putting all the IDE modules on initrds again?

Comment 2 Glen Foster 2001-08-20 19:24:20 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 3 Arjan van de Ven 2001-08-21 07:41:38 UTC
ide-fd.o 

is this a typo or deliberate ?

Comment 4 Arjan van de Ven 2001-09-03 17:42:20 UTC
Also, does it still happen after running "depmod -ae" ?

Comment 5 Stephen John Smoogen 2001-09-13 20:31:40 UTC
Ack sorry for the delay. The fix is to do a 'depmod -ae'

Tech support will need this in their knowledgebase.

Comment 6 Matt Wilson 2001-09-13 20:51:31 UTC
did we not get a modules.dep in the final i386 kernel?


Comment 7 Arjan van de Ven 2001-09-14 08:31:54 UTC
depmod -ae is run in %post of the kernel, so it should create one then.
Why it doesn't in this case is beyond my understanding.

Comment 8 Stephen John Smoogen 2002-03-25 17:47:49 UTC
I have not had this problem with any of the 7.2.9x betas. Please close


Note You need to log in before you can comment on or make changes to this bug.